%define		oldlzmaver	4.27.1

Summary: 	LZMA utils
Name: 		lzma
Version: 	4.32
Release: 	1mdk
License: 	GPL
Group:		Archiving/Compression
Source0:	http://tukaani.org/lzma/lzma-%{oldlzmaver}.tar.bz2
Source1:	http://ovh.dl.sourceforge.net/sourceforge/sevenzip/lzma432.tar.bz2
Source2:	lzme.bz2
Patch0:		lzma-432-makefile.patch.bz2
Patch1:		lzma-432-makefile-sdknew.patch.bz2
URL:		http://tukaani.org/lzma/
Buildroot:	%{_tmppath}/lzma-%{version}-root

%description
LZMA provides very high compression ratio and fast decompression. The
core of the LZMA utils is Igor Pavlov's LZMA SDK containing the actual
LZMA encoder/decoder. LZMA utils add a few scripts which provide
gzip-like command line interface and a couple of other LZMA related
tools. Also provides:

- Average compression ratio 30% better than that of gzip and 15%
  better than that of bzip2.

- Decompression speed is only little slower than that of gzip, being
  two to five times faster than bzip2.

- In fast mode, compresses faster than bzip2 with a comparable
  compression ratio.

- Achieving the best compression ratios takes four to even twelve
  times longer than with bzip2. However. this doesn't affect
  decompressing speed.

- Very similar command line interface than what gzip and bzip2 have.

- The patch for GNU tar integrates LZMA compression with the tar
  command in the same way as with gzip and bzip2.


%prep
%setup -q -n %{name}-%{oldlzmaver} -a 1
%patch0 -p1 -b .427
%patch1 -p1 -b .427_sdk

%build
rm -f lzma_sdk/C/7zip/Compress/LZMA_Alone/makefile*
ls -l lzma_sdk/C/7zip/Compress/LZMA_Alone/
%make CFLAGS="%{optflags}"
bzcat %{SOURCE2} > lzme

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir} \
	%{buildroot}%{_mandir}

make prefix=%{buildroot} \
	bindir=%{buildroot}%{_bindir} \
	mandir=%{buildroot}%{_mandir} \
	docdir=%{buildroot}%{_docdir} install
rm -rf %{buildroot}%{_docdir}
install -m 755 lzme %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BENCHMARKS COPYING.GPL COPYING.LGPL INSTALL
%doc README README.LICENSES THANKS TODO lzma_sdk/lzma.txt
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Sun Jan 08 2006 Giuseppe Ghib <ghibo@mandriva.com> 4.32-1mdk
- updated lzma sdk to 4.32.
- added lzme (based on Thierry Vignaud's bzme).

* Sat Jan 07 2006 Giuseppe Ghib <ghibo@mandriva.com> 4.27.1-1mdk
- initial Mandriva release.
